fusialDocs

List the signing event trail

GET
/signatures/{envelopeId}/events
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

envelopeId*string

The signature request id.

Query Parameters

page?integer
pageSize?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/string/events"
{
  "data": [
    {
      "id": "string",
      "envelopeId": "string",
      "signerId": "string",
      "type": "CREATED",
      "ip": "string",
      "userAgent": "string",
      "metadata": null,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0,
  "pageCount": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "string",
    "details": {
      "issues": [
        {
          "path": "string",
          "message": "string"
        }
      ]
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}